package com.rp.util.sort.compare;

public class DoubleComparator implements java.util.Comparator
{

	public int compare(Object o1,Object o2) throws ClassCastException
	{
		if(!(o1 instanceof Double))
		{
			throw new ClassCastException();
		}
		if(!(o2 instanceof Double))
		{
			throw new ClassCastException();
		}
		double d1 = ((Double)o1).doubleValue();
		double d2 = ((Double)o2).doubleValue();
		
		if (d1 < d2)
		{
			return -1;	
		}
		else if (d1 > d2)
		{
			return 1;	
		}
		else
		{
			return 0;	
		}
	}
}
