package com.rp.util.sort.compare;

public class StringComparator implements java.util.Comparator
{

	public int compare(Object o1,Object o2) throws ClassCastException
	{
		if(!(o1 instanceof String))
		{
			throw new ClassCastException();
		}
		if(!(o2 instanceof String))
		{
			throw new ClassCastException();
		}
		
		String d1 = (String)o1;
		String d2 = (String)o2;
		
		if (d1.compareToIgnoreCase(d2) < 0)
		{
			return -1;	
		}
		else if (d1.compareToIgnoreCase(d2) > 0)
		{
			return 1;	
		}
		else
		{
			return 0;	
		}
	}
}
